import os
from django.conf import settings
from django.template.loaders.filesystem import Loader as FileSystemLoader

class Loader(FileSystemLoader):

    def get_template_sources(self, template_name, template_dirs=None):
        filename = os.path.join(settings.CPELEMENTS,
                'captiveportal-idp-template-%s' % template_name.replace('/', '-'))
        return (filename,)
